package core

import (
	"eta_gn/eta_bridge/global"
	"eta_gn/eta_bridge/init_serve"
	"fmt"
)

func RunServe() {
	r := init_serve.InitRouter()

	if global.CONFIG.Serve.UseRedis {
		init_serve.Redis()
	}

	init_serve.InitDm()

	init_serve.InitTask()

	fmt.Println("port:", global.CONFIG.Serve.Port)
	err := r.Run(fmt.Sprint("0.0.0.0:", global.CONFIG.Serve.Port)) // 监听并在 0.0.0.0:8080 上启动服务
	if err != nil {
		panic(fmt.Errorf("服务启动失败，Err:%s", err))
	} else {
		fmt.Println("Run:", fmt.Sprint("0.0.0.0:", global.CONFIG.Serve.Port))
	}
}
