package index

import "eta_gn/eta_bridge/global"

type BinlogFormatStruct struct {
	VariableName string `json:"Variable_name"`
	Value        string `json:"Value"`
}

func GetBinlogFormat() (item *BinlogFormatStruct, err error) {
	sql := `SHOW VARIABLES LIKE 'binlog_format';`
	err = global.MYSQL["index"].Raw(sql).First(&item).Error
	return
}

type BinlogFileStruct struct {
	File     string `json:"File"`
	Position uint32 `json:"Position"`
}

func GetShowMaster() (item *BinlogFileStruct, err error) {
	sql := `show master status;`
	err = global.MYSQL["index"].Raw(sql).First(&item).Error

	return
}
